Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 594407 - regression: icedteanp plugin error
Summary: regression: icedteanp plugin error
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: java-1.6.0-openjdk
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Deepak Bhole
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-20 15:07 UTC by Leif Gruenwoldt
Modified: 2010-11-03 22:30 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-03 22:30:57 UTC
Type: ---


Attachments (Terms of Use)

Description Leif Gruenwoldt 2010-05-20 15:07:51 UTC
Description of problem:

Since the recent yum update of openjdk I've been getting errors when accessing certain web pages.

Version-Release number of selected component (if applicable):

java-1.6.0-openjdk-1.6.0.0-38.b18.fc12.x86_64
epiphany-2.28.2-1.fc12.x86_64

How reproducible:

Everytime

Steps to Reproduce:
1. start epiphany or midori
2. navigate to gmail.com (don't need to be logged in)
  
Actual results:

A popup error message that says,

"icedteanp plugin error: Failed to run /usr/lib64/mozilla/plugins/../../bin/java.  For more detail rerun "firefox -g" in a terminal window."

Expected results:

No error.


Additional info:

Visiting the same site in Firefox does not prompt the same error.

Comment 1 Leif Gruenwoldt 2010-05-20 15:11:04 UTC
Running epiphany from the cmd line shows this bit of extra info when navigating to gmail.com

$ epiphany 
** (epiphany:6263): DEBUG: NP_Initialize
** (epiphany:6263): DEBUG: NP_Initialize succeeded
** (epiphany:6263): DEBUG: NP_Initialize
** (epiphany:6263): DEBUG: NP_Initialize succeeded
** (epiphany:6263): DEBUG: NP_Initialize
** (epiphany:6263): DEBUG: NP_Initialize succeeded
** (epiphany:6263): DEBUG: NP_Initialize
** (epiphany:6263): DEBUG: NP_Initialize succeeded
/builddir/build/BUILD/icedtea6-1.8/plugin/icedteanp/IcedTeaNPPlugin.cc:1508: thread 0x9c00b0: Error: Failed to spawn applet viewer: Failed to execute child process "/usr/lib64/mozilla/plugins/../../bin/java" (No such file or directory)

Comment 2 Richard Schwarting 2010-05-31 16:21:22 UTC
Same problem on 32 bit.

The following dialogue appears when starting epiphany since some time in the last week:
"icedteanp plugin error: Failed to run /usr/lib/mozilla/plugins/../../bin/java.  For more detail rerun "firefox -g" in a terminal window."

Comment 3 Richard Schwarting 2010-05-31 18:02:17 UTC
In, IcedTeaNPPlugin.cc, at line 2146, the line

    appletviewer_executable = g_strdup_printf ("%s/../../bin/java", dirname (filename));
 
Filename is earlier got around 2127 (or later 2143) from a line like this:

    filename_size = readlink(info.dli_fname, filename, 1023);

I might poke around to see when this became a problem for Epiphany.

Comment 4 Jason 2010-06-03 18:51:36 UTC
This is happening in firefox on F-13 as well:
java-1.6.0-openjdk-1.6.0.0-38.b18.fc13.x86_64
java-1.6.0-openjdk-plugin-1.6.0.0-38.b18.fc13.x86_64

Comment 5 Bug Zapper 2010-11-03 14:32:04 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Leif Gruenwoldt 2010-11-03 21:48:57 UTC
This isn't affecting me on F13. 

java-1.6.0-openjdk-1.6.0.0-43.1.8.2.fc13.x86_64
epiphany-2.30.2-1.fc13.x86_64

So I'll let this bug expire and consider it fixed in current release.


Note You need to log in before you can comment on or make changes to this bug.